Bug 254234 - sunhme does not work
sunhme does not work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: John W. Linville
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 17:32 EDT by Louis Lagendijk
Modified: 2008-05-21 10:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:53:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-sunhme-fixes.patch (1.52 KB, patch)
2007-09-12 15:01 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Louis Lagendijk 2007-08-24 17:32:13 EDT
Description of problem:
Sunhme does not work under RHEL5 kernel. I have a second hand Sun quad ethernet
card in my home server. It used to work before under RHEL 4 (to be honest, I
used Centos 4). It no longer works under Centos 5. The latest kernel I tried was: 
kernel-2.6.18-36.el5.jwltest.41. 
When I replace the standard kernel with a Fedora 6 kernel (2.6.22.2-42.fc6), all
is fine again

Version-Release number of selected component (if applicable):
kernel-2.6.18-36.el5.jwltest.41 or kernel-2.6.18-8.1.8.el5

How reproducible:
always

Steps to Reproduce:
1.Boot kernel
2.
3.
  
Actual results:
No network connection, logfile shows:
Aug 24 20:32:20 nest kernel: eth1: transmit timed out, resetting
Aug 24 20:32:20 nest kernel: eth1: Happy Status 03010000 TX[000003ff:00000301]
Similar results are obtained for each interface used 

Expected results:
working network connection

Additional info:
Comment 1 John W. Linville 2007-09-12 15:01:22 EDT
Created attachment 193811 [details]
jwltest-sunhme-fixes.patch
Comment 2 John W. Linville 2007-09-13 11:02:45 EDT
Test kernels w/ the above patch available here:

   http://people.redhat.com/linville/kernels/rhel5/

Do these resolve the issue for you?
Comment 3 Louis Lagendijk 2007-09-13 17:23:48 EDT
hello John,
Yes, the kernel 2.6.18-47.el5.jwltest.42 does solve the problem. Thanks!
Comment 4 RHEL Product and Program Management 2007-11-01 15:35:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2007-12-17 14:36:55 EST
in 2.6.18-61.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 Louis Lagendijk 2007-12-17 18:02:38 EST
2.6.18-61.el5 fails to read the options rom on the card (errormsg: failed to
allocat mem resouorce, once for each of the 4 chips). But as the kernel crashes
with an oops later in the boot process, I have not been able to debug further
(macaddr option probably would serve as work around). Will try again later.
2.6.18-53.el5 with the patch provided in this entry however works well
Comment 9 Louis Lagendijk 2008-01-28 16:03:07 EST
I am now running 2.6.18-75.el5xen. Solves the issues with the sun nic. Thanks!
Comment 12 errata-xmlrpc 2008-05-21 10:53:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.